html,
body {
    height: 100%;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
}

body {
    background-color: #FCFBF6;
    font-family: 'Public Sans', sans-serif;
    color: #000000;
}

.wrapper {
    flex: 1;
}

label {
    margin-top: 10Px;
}

.form-check-label {
    margin-top: 0Px;
    color: #000000 !important;
}

.custom-tooltip {
    background-color: #000000 !important;
    --bs-tooltip-bg: var(--bd-violet-bg);
    --bs-tooltip-color: var(--bs-white);
}

.footer {
    background: #000000;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    width: 100%;
    margin: 0Px;
}

.container-fluid {
    padding: 0Px;
}

.esmovil {
    display: none;
}

.cabecera-pc {
    padding: 0Px;
    margin: 0Px;
}

.cabecera-pc img {
    width: 100%;

}

.dropdown-menu-scroll {
    max-height: 340px;
    overflow: auto;
}

.qty-wrap {
    width: 160px;
}

.price-wrap {
    width: 180px;
}

@media (max-width: 480px) {

    .qty-wrap,
    .price-wrap {
        width: 100%;
    }

    .item {
        flex-wrap: wrap;
    }

    .item>.qty-wrap,
    .item>.price-wrap {
        margin-top: .25rem;
    }
}

/*
.container {
	background-color: #ECF4E0;
}
*/
.titulo {
    color: #C5843A;
    font-weight: bold;
}

.btn-primary {
    background-color: #000000;
    border-color: #000000;
}

/* Efecto Hover */
.btn-primary:hover {
    background-color: #000000 !important;
    /* Color más oscuro al pasar el mouse */
    border-color: #000000 !important;
    box-shadow: 0 0 0 0.15rem rgba(0, 0, 0, 0.5) !important;
}

/* Efecto Focus (cuando se selecciona con teclado o se hace clic) */
.btn-primary:focus,
.btn-primary:focus-visible {
    box-shadow: 0 0 0 0.15rem rgba(0, 0, 0, 0.5) !important;
    /* Resaltado */
    outline: none !important;
}

/* Efecto Active (cuando se mantiene presionado) */
.btn-primary:active,
.btn-primary.active {
    background-color: #000000 !important;
    border-color: #000000 !important;
    box-shadow: inset 0 3px 5px rgba(46, 46, 46, 0.125) !important;
}

/* Estado Disabled (cuando está deshabilitado) */
.btn-primary:disabled,
.btn-primary.disabled {
    background-color: #000000 !important;
    /* Color más claro */
    border-color: #000000 !important;
    color: white !important;
    opacity: 0.65;
}

.btn-outline-primary {
    background-color: #fff;
    border-color: #000000;
    color: #000000;
}

/* Efecto Hover */
.btn-outline-primary:hover {
    background-color: #000000 !important;
    /* Color más oscuro al pasar el mouse */
    border-color: #000000 !important;
    box-shadow: 0 0 0 0.15rem rgba(0, 0, 0, 0.5) !important;
    color: #fff;
}

/* Efecto Focus (cuando se selecciona con teclado o se hace clic) */
.btn-outline-primary:focus,
.btn-outline-primary:focus-visible {
    box-shadow: 0 0 0 0.15rem rgba(0, 0, 0, 0.5) !important;
    /* Resaltado */
    outline: none !important;
}

/* Efecto Active (cuando se mantiene presionado) */
.btn-outline-primary:active,
.btn-outline-primary.active {
    background-color: #000000 !important;
    border-color: #000000 !important;
    box-shadow: inset 0 3px 5px rgba(46, 46, 46, 0.125) !important;
}

/* Estado Disabled (cuando está deshabilitado) */
.btn-outline-primary:disabled,
.btn-outline-primary.disabled {
    background-color: #000000 !important;
    /* Color más claro */
    border-color: #000000 !important;
    color: white !important;
    opacity: 0.65;
}

.btn-outline-secondary {
    background-color: #fff;
    border-color: #000000;
    color: #000000;
}

/* Efecto Hover */
.btn-outline-secondary:hover {
    background-color: #000000 !important;
    /* Color más oscuro al pasar el mouse */
    border-color: #000000 !important;
    box-shadow: 0 0 0 0.15rem rgba(0, 0, 0, 0.5) !important;
    outline: none !important;
    color: #fff;
}

/* Efecto Focus (cuando se selecciona con teclado o se hace clic) */
.btn-outline-secondary:focus,
.btn-outline-secondary:focus-visible {
    box-shadow: 0 0 0 0.15rem rgba(0, 0, 0, 0.5) !important;
    /* Resaltado */
    outline: none !important;
}

/* Efecto Active (cuando se mantiene presionado) */
.btn-outline-secondary:active,
.btn-outline-secondary.active {
    background-color: #000000 !important;
    border-color: #000000 !important;
    box-shadow: 0 0 0 0.15rem rgba(46, 46, 46, 0.125) !important;
}

/* Estado Disabled (cuando está deshabilitado) */
.btn-outline-secondary:disabled,
.btn-outline-secondary.disabled {
    background-color: #000000 !important;
    /* Color más claro */
    border-color: #000000 !important;
    color: white !important;
    opacity: 0.65;
}

.btn-success {
    background-color: #00796B;
    border-color: #00796B;
}

.input-group> :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    border-color: #000;
}

.form-control,
.form-select {
    border-radius: .25rem;
}

#barraaceptacion {
    display: none;
    position: absolute;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
    padding-bottom: 0px;
    width: 100%;
    text-align: center;
    min-height: 2000px;
    background-color: rgba(52, 87, 78, 0.8);
    color: #fff;
    z-index: 9;
}

.inner {
    width: 100%;
    position: fixed;
    padding-left: 5px;
    font-family: 'Public Sans', sans-serif;
    font-size: 16px;
    top: 10%;
}

.inner a.ok {
    padding: 4px;
    color: #00ff2e;
    text-decoration: none;
}

.inner a.info {
    padding-left: 5px;
    text-decoration: none;
    color: #faff00;
}

input[type="file"]::file-selector-button {
    background-color: #000000 !important;
    color: #ffffff !important;
    border: 1px solid #000000 !important;
    /* padding: 8px 12px;
    border-radius: .25rem;
    cursor: pointer;
    font-weight: bold; */
}

/* Estilos al pasar el mouse */
input[type="file"]::file-selector-button:hover {
    background-color: #000000 !important;
    color: #ffffff !important;
    border: 1px solid #000000 !important;
}

/* Estilos al pasar el mouse */
input[type="file"]::file-selector-button:focus {
    background-color: #000000 !important;
    color: #ffffff !important;
    border: 1px solid #000000 !important;
}

/* Estilos cuando se hace clic */
input[type="file"]::file-selector-button:active {
    background-color: #000000 !important;
    color: #ffffff !important;
    border: 1px solid #000000 !important;
}

input[type="checkbox"],
input[type="radio"] {
    accent-color: #000000 !important;
    /* Cambia el color principal */
}

input[type="date"] {
    padding-left: 0.15rem !important;
    padding-right: 0.15rem !important;
}

/* Cambiar el color del checkbox */
.form-check-input {
    background-color: white;
    /* Color de fondo */
    border: 2px solid #000000;
    /* Color del borde */
}

/* Cambiar color cuando está marcado */
.form-check-input:checked {
    background-color: #000000;
    /* Color de fondo cuando está activo */
    border-color: #000000;
}

/* Cambiar color del radio button */
.form-check-input[type="radio"]:checked {
    background-color: #000000;
    /* Color cuando está seleccionado */
    border-color: #000000;
}

.form-control {
    border-color: #000000 !important;
    /* Color del borde */
}

.form-control:hover {
    border-color: rgba(0, 0, 0, 0.5) !important;
    /* Color del borde */
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5) !important;
    /* Sombra opcional */
}

.form-control:focus {
    border-color: rgba(0, 0, 0, 0.5) !important;
    /* Color del borde */
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5) !important;
    /* Sombra opcional */
}

a {
    color: #000000 !important;
}

a:focus {
    color: rgba(0, 0, 0, 0.5) !important;
}

a:hover {
    color: rgba(0, 0, 0, 0.5) !important;
}

a:active {
    color: rgba(0, 0, 0, 0.5) !important;
}

.legal {
    /*font-size: 1.2rem !important;*/
    color: #000000 !important;
}

@media (max-width: 920px) {
    .mt-5 {
        margin-top: 0Px !important;
    }

    .rayita {
        display: none;
    }
}

@media (max-width: 600px) {
    .cabecera-movil {
        padding: 0Px;
        margin: 0Px;
    }

    .cabecera-movil img {
        width: 100%;

    }

    .espc {
        display: none !important;
    }

    .esmovil {
        display: inline-block !important;
    }

    .simovil {
        margin-top: 4Px;
    }

    .rayita {
        display: none;
    }
}

.custom-select {
    background-clip: padding-box;
    background: #fff url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right .75rem center/8px 10px;
}

#inputGroupFile01 {
    border-right: 0Px !important;
}

/*
.btn-outline-secondary {		
	border-color: #000 !important;
	border-left-color: #fff !important;
	border-left: 0Px !important;
	background-color: #fff !important;
}
.btn-outline-secondary:hover {
    background-color: #000 !important; 
    border-color: #000 !important;
}


.btn-outline-secondary:focus, 
.btn-outline-secondary:focus-visible {
    box-shadow: 0 0 0 0.15rem rgba(0, 0, 0, 0.5) !important; 
    outline: none !important;
}
*/
.bi-camera-fill {
    color: #C5843A;
}

.datepicker,
.datepicker table,
.datepicker th,
.datepicker td,
.datepicker thead {
    font-family: 'Public Sans', sans-serif !important;
}

/* Borde del calendario */
.datepicker {
    border: 2px solid #000000 !important;
    border-radius: 5px !important;
    padding: 5px;
    background: #fff;
}

/* Día actual con borde verde */
.datepicker table tr td.today {
    background-color: #000000 !important;
    border: 0px solid #000000 !important;
    border-radius: 50%;
    /* Hace que sea un círculo */
    color: #fff;
    background-image: none;
}